Package org.jboss.resteasy.plugins.providers.jaxb

## Class JAXBUnmarshalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.spi.Failure
        - - org.jboss.resteasy.spi.ReaderException
          - - org.jboss.resteasy.plugins.providers.jaxb.JAXBUnmarshalException

- All Implemented Interfaces:
    `Serializable`

      public class JAXBUnmarshalException
      extends ReaderException

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.spi.Failure

      `errorCode, loggable, response`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JAXBUnmarshalException​(String s)` |
    `JAXBUnmarshalException​(String s, Throwable throwable)` |
    `JAXBUnmarshalException​(String s, Throwable throwable, javax.ws.rs.core.Response response)` |
    `JAXBUnmarshalException​(String s, javax.ws.rs.core.Response response)` |
    `JAXBUnmarshalException​(Throwable throwable)` |
    `JAXBUnmarshalException​(Throwable throwable, javax.ws.rs.core.Response response)` |

  - ### Method Summary

    - ### Methods inherited from class org.jboss.resteasy.spi.Failure

      `getErrorCode, getResponse, isLoggable, setErrorCode, setLoggable, setResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JAXBUnmarshalException

          public JAXBUnmarshalException​(String s)

    - #### JAXBUnmarshalException

          public JAXBUnmarshalException​(String s,
                                        javax.ws.rs.core.Response response)

    - #### JAXBUnmarshalException

          public JAXBUnmarshalException​(String s,
                                        Throwable throwable,
                                        javax.ws.rs.core.Response response)

    - #### JAXBUnmarshalException

          public JAXBUnmarshalException​(String s,
                                        Throwable throwable)

    - #### JAXBUnmarshalException

          public JAXBUnmarshalException​(Throwable throwable)

    - #### JAXBUnmarshalException

          public JAXBUnmarshalException​(Throwable throwable,
                                        javax.ws.rs.core.Response response)